Bug 1216057 (CVE-2015-3420) - CVE-2015-3420 dovecot: SSL/TLS handshake failures leading to a crash of the login process.
Summary: CVE-2015-3420 dovecot: SSL/TLS handshake failures leading to a crash of the l...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-3420
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150426,reported=2...
Depends On: 1216059
Blocks: 1216058
TreeView+ depends on / blocked
 
Reported: 2015-04-28 12:26 UTC by Martin Prpič
Modified: 2019-06-08 20:34 UTC (History)
3 users (show)

Fixed In Version: dovecot 2.2.17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 15:28:40 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-04-28 12:26:24 UTC
A flaw was found in the way Dovecot handled SSL handshake failures. A remote attacker could use this flaw to crash the imap-login
and pop3-login processes.

Note that only Dovecot installations accepting SSL/TLS connections that have SSLv3 disabled are vulnerable.

Additional details:

http://dovecot.org/pipermail/dovecot/2015-April/100618.html
http://seclists.org/oss-sec/2015/q2/288

Upstream patch:

http://hg.dovecot.org/dovecot-2.2/rev/86f535375750

Comment 1 Martin Prpič 2015-04-28 12:28:41 UTC
Created dovecot tracking bugs for this issue:

Affects: fedora-all [bug 1216059]

Comment 2 Stefan Cornelius 2015-04-29 15:18:05 UTC
Steps to reproduce, taken from http://dovecot.org/pipermail/dovecot/2015-April/100618.html:

Add to config: ssl_protocols = !SSLv2 !SSLv3
Run: openssl s_client -ssl3 -connect localhost:995

It looks like the following commit introduced the described behaviour (not confirmed):
http://hg.dovecot.org/dovecot-2.2/diff/09d3c9c6f0ad/src/login-common/ssl-proxy-openssl.c

Our RHEL versions do not have this change. Fedora has this in the source, but I still was not able to trigger a crash. It's possible that our OpenSSL versions handle this situation more gracefully, but I didn't investigate that.

Comment 3 Stefan Cornelius 2015-04-29 15:28:40 UTC
Statement:

This issue did not affect the versions of dovecot as shipped with Red Hat Enterprise Linux 5, 6, and 7.


Note You need to log in before you can comment on or make changes to this bug.